
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在pHP中使用crypt()实现用户身份验证 / iVAN</title>

    <meta name="description" content="在pHP中使用crypt()实现用户身份验证 [摘 要] 只要有一点使用非Windows平台经验的读者都可能对crypt()相当熟悉,这一函数完成被称作单向加密的功能,它可以加密一些明码,但不能反过来将密码重新转换为原来的明码. 在开发PHP应用中如果不想自己开发新的加密算法,还可以利用PHP提供的crypt()函数来完成单向加密功能. 了解crypt() 只要有一点使用非Windows平台经验的读者都可能对crypt()相当熟悉,这一函数完成被称作单向加密的功能,它可以加密一些明码,但不能反过来将密码重新转换为原来的明码.crypt()函">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在pHP中使用crypt()实现用户身份验证</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>【摘 要】 只要有一点使用非Windows平台经验的读者都可能对crypt()相当熟悉，这一函数完成被称作单向加密的功能，它可以加密一些明码，但不能反过来将密码重新转换为原来的明码。 <br />在开发PHP应用中如果不想自己开发新的加密算法，还可以利用PHP提供的crypt()函数来完成单向加密功能。</p>
<p>　　了解crypt()</p>
<p>　　只要有一点使用非Windows平台经验的读者都可能对crypt()相当熟悉，这一函数完成被称作单向加密的功能，它可以加密一些明码，但不能反过来将密码重新转换为原来的明码。crypt()函数定义如下。</p>
<p>　　string crypt (string input_string [, string salt])</p>
<p>　　其中，input_string参数是需要加密的明文字符串，第二个可选的salt是一个位字串，能够影响加密的暗码，进一步排除被破解的可能性。缺省情况下，PHP使用一个2个字符的DES干扰串，如果系统使用的是MD5(参考下一节内容)，PHP则会使用一个12个字符的干扰串。可以通过执行下面的命令发现系统将要使用的干扰串的长度。</p>
<p>　　print "My system salt size is: ". CRYPT_SALT_LENGTH;</p>
<p>　　crypt()支持4种加密算法，表19.1显示了其支持的算法和相应的salt参数的长度。</p>
<p>　　表crypt()支持四种加密算法</p>
<p>算法 Salt长度 <br />CRYPT_STD_DES 2-character (Default) <br />CRYPT_EXT_DES 9-character <br />CRYPT_MD5 12-character beginning with $1$ <br />CRYPT_BLOWFISH 16-character beginning with $2$</p>
<p>　　从表面上看，crypt()的函数似乎没有什么用处，但该函数的确被广泛用来保证系统密码的完整性。因为，单向加密的口令即使落入第三方的手里，由于不能被还原为明文，也没有什么大用处。</p>
<p>　　用crypt()实现用户身份验证</p>
<p>　　上一部分简单介绍了crypt()函数的功能，下面利用其来实现用户的身份验证，其所要实现的目标同19.2.3节所介绍的一致。</p>
<p> </p>
<p>1 ＜!--check_user_crypt.php:使用crypt() 函数验证用户----------------＞<br />2 ＜?php<br />3 $user_name=$_POST["user_name"];<br />4 require_once("sys_conf.inc"); //系统配置文件，包含数据库配置信息<br />5<br />6 //连接数据库<br />7 $link_id=mysql_connect($DBHOST,$DBUSER,$DBPWD);<br />8 mysql_select_db($DBNAME); //选择数据库my_chat<br />9<br />10 //查询是否存在登录用户信息<br />11 $str="select name,password from user where name ='$user_name'";<br />12 $result=mysql_query($str,$link_id); //执行查询<br />13 @$rows=mysql_num_rows($result); //取得查询结果的记录笔数<br />14 $user_name=$_SESSION["user_name"];<br />15 $password=$_POST["password"];<br />16 $salt = substr($password, 0, 2);<br />17 $password_en=crypt($password,$salt); //使用crypt()对用户密码进行加密<br />18<br />19 //对于老用户<br />20 if($rows!=0)<br />21 {<br />22 list($name,$pwd)=mysql_fetch_row($result);<br />23<br />24 //如果密码输入正确<br />25 if($pwd==$password_en)<br />26 {<br />27 $str="update user set is_online =1 where name ='$user_name' and password='$password_en'";<br />28 $result=mysql_query($str, $link_id);//执行查询<br />29 require("main.php"); //转到聊天页面<br />30 }<br />31 //密码输入错误<br />32 else<br />33 {<br />34 require("relogin.php");<br />35 }<br />36<br />37 }<br />38 //对于新用户，将其信息写入数据库<br />39 else<br />40 {<br />41 $str="insert into user (name,password,is_online) values('$user_ name','$password_en',1)";<br />42 $result=mysql_query($str, $link_id); //执行查询<br />43 require("main.php"); //转到聊天页面<br />44 }<br />45 //关闭数据库<br />46 mysql_close($link_id);<br />47 ?＞</p>
<p>　　示例与上一节所介绍的使用XOR加密算法来保护用户信息非常类似，其核心部分在于第16、17行使用crypt()函数获取加密后的密码，而通过在第25行比较数据库中的密码和加密后的密码是否相等来检查用户是否合法。</p>
<p>　　下面，通过一个实例来看一下加密后的密码会变成什么样子。</p>
<p>　　例如，用户名为rock，密码为123456，则加密后的密码为:</p>
<p>　　12tir.zIbWQ3c</p>
<p>　　上面就实现了一个简单的用户身份验证系统。在使用crypt()保护重要的机密信息时，需要注意的是，在缺省状态下使用crypt()并不是最安全的，只能用在对安全性要求较低的系统中。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:21:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86/" title="加密">加密</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e7%a0%81/" title="密码">密码</a>, <a href="https://www.iamivan.net/tag/password/" title="password">password</a>, <a href="https://www.iamivan.net/tag/crypt/" title="crypt&lpar;&rpar;">crypt&lpar;&rpar;</a>, <a href="https://www.iamivan.net/tag/php-crypt/" title="php crypt">php crypt</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e5%90%91%e5%8a%a0%e5%af%86%e7%ae%97%e6%b3%95/" title="单向加密算法">单向加密算法</a>, <a href="https://www.iamivan.net/tag/c%e5%ad%97%e7%ac%a6%e4%b8%b2%e7%ae%97%e6%b3%95link/" title="c字符串算法link">c字符串算法link</a>, <a href="https://www.iamivan.net/tag/php%e5%af%86%e7%a0%81%e5%8a%a0%e5%af%86/" title="php密码加密">php密码加密</a>, <a href="https://www.iamivan.net/tag/vc-crypt/" title="vc&plus;&plus; crypt">vc&plus;&plus; crypt</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在pHP中使用crypt()实现用户身份验证的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5KARb.html" rel="bookmark">PHP中使用crypt&lpar;&rpar;实现用户身份验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在开发PHP应用中如果不想自己开发新的加密算法,还可以利用PHP提供的crypt()函数来完成单向加密功能. 了解crypt() 只要有一点使用非Windows平台经验的读者都可能对crypt()相当熟悉,这一函数完成被称作单向加密的功能,它可以加密一些明码,但不能反过来将密码重新转换为原来的明码.crypt()函数定义如下. string crypt (string input_string [, string salt]) 其中,input_string参数是需要加密的明文字符串,第二个可选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2Rj4M.html" rel="bookmark">在Tomcat工程中，以root用户身份执行系统某程序重启操作，然后再重新启动Linux，会使原本是Tomcat用户的工程文件，变成是Root用户的工程文件了呢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在Tomcat工程中,以root用户身份执行系统某程序重启操作,然后再重新启动Linux,会使原本是Tomcat用户的工程文件,变成是Root用户的工程文件了呢?这种情况下,Tomcat无法正常启动此工程文件供访问,请各位大虾帮忙,谢谢啦! 解决方案 解决方案二:该回复于2009-03-19 10:54:01被版主删除解决方案三:可以用www用户启动吗?我就公司就是这样的解决方案四:给tomcat用户附权限解决方案五:没遇到过顶下解决方案六:没遇到过帮楼主顶一下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOgnmz.html" rel="bookmark">调用SQL SERVER数据库存储过程实现ASP用户身份验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|存储过程|数据|数据库 在我们编写用户身份验证程序中,很容易用ASP调用SQL语句来检索数据表中是否有条件相符的记录,然后再用ASP进行相关处理. 条条道路通罗马!当然,我们也可以用SQL SERVER数据库的存储过程来轻松实现这个功能.虽然相对而言较复杂,但其效率的提升是很明显的,因为存储过程是在数据库中已经编译好的一段程序,我们只需用ASP将其所用的各种参数正确传递就行了. 本文也主要是想通过一个简单的事例,向大家介绍一下如何在ASP中调用带参数的存储过程.希望大家能从中得到更			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6RmAM.html" rel="bookmark">利用SQLSERVER存储过程实现ASP用户身份验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|sqlserver|存储过程 在我们编写用户身份验证程序中,很容易用ASP调用SQL语句来检索数据表中是否有条件相符的记录,然后再用ASP进行相关处理. 条条道路通罗马!当然,我们也可以用SQL SERVER数据库的存储过程来轻松实现这个功能.虽然相对而言较复杂,但其效率的提升是很明显的,因为存储过程是在数据库中已经编译好的一段程序,我们只需用ASP将其所用的各种参数正确传递就行了. 本文也主要是想通过一个简单的事例,向大家介绍一下如何在ASP中调用带参数的存储过程.希望大家能从中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXEn4z.html" rel="bookmark">实现带有用户身份验证的文件传输Web Service&lpar;4&rpar; （转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web 作者: 曹勇刚   www.ASPCool.com 时间:2001-11-28 22:52:41  阅读次数:670      下面点击&quot;GetFile&quot;我们进入下一页,大家看到如图2所示页面,是不是与一般的web服务调用页面不一样?                图 2           为了让大家看到带有用户验证和没有用户验证的区别,我们可以把带有用户身份验证的注释的代码行注释掉或删掉,大家进入的同一个页面会如图3所示:                图 3       			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6PXWz.html" rel="bookmark">实现带有用户身份验证的文件传输Web Service&lpar;3&rpar; （转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web 作者: 曹勇刚   www.ASPCool.com 时间:2001-11-28 22:51:59  阅读次数:493      下面我们生成一个web service,起名叫FileServer,在FileServer.asmx中有如下代码:          &lt;%@ WebService Language=&quot;c#&quot; Codebehind=&quot;FileServer.asmx.cs&quot; Class=&quot;useResData.FileServer&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLm0dp.html" rel="bookmark">asp&period;net中常用的几种身份验证方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在B/S系统开发中,经常需要使用&quot;身份验证&quot;.因为web应用程序非常特殊,和传统的C/S程序不同,默认情况下(不采用任何身份验证方式和权限控制手段),当你的程序在互联网/局域网上公开后,任何人都能够访问你的web应用程序的资源,这样很难保障应用程序安全性.通俗点来说:对于大多数的内部系统.业务支撑平台等而言,用户必须登录,否则无法访问和操作任何页面.而对于互联网(网站)而言,又有些差异,因为通常网站的大部分页面和信息都是对外公开的,只有涉及到注册用户个人信息的操作,或者网站的后台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeomANM.html" rel="bookmark">asp&period;net用户身份验证时读不到用户信息的问题 您的登录尝试不成功。请重试。 Login控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:asp.net用户身份验证时读不到用户信息的问题 您的登录尝试不成功.请重试. Login控件 现象1.asp.net使用自定义sql server身份验证数据库,在A机器新增用户A,可以登录成功.把程序复制到B机器上,B机器读不到A用户信息,也无法使用A用户登录.B机器上新增的用户在A机器上也读不到. 现象2.在vs2005环境下运行程序,A用户登录成功,换在IIS下浏览,A用户登录失败. 原因在于web.config中自定义的身份验证提供者中缺少了applicationname的设置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Nl4Pz.html" rel="bookmark">asp&period;net中几种常用的身份验证方法总结&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在B/S系统开发中,经常需要使用&quot;身份验证&quot;.因为web应用程序非常特殊,和传统的C/S程序不同,默认情况下(不采用任何身份验证方式和权限控制手段),当你的程序在互联网/局域网上公开后,任何人都能够访问你的web应用程序的资源,这样很难保障应用程序安全性.通俗点来说:对于大多数的内部系统.业务支撑平台等而言,用户必须登录,否则无法访问和操作任何页面.而对于互联网(网站)而言,又有些差异,因为通常网站的大部分页面和信息都是对外公开的,只有涉及到注册用户个人信息的操作,或者网站的后台			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo6O3z.html" rel="bookmark" class="title">Photoshop制作2014新年贺卡技巧</a>
					<div>
						效果图虽然简单,不过里面的元素都是用手工来完成的,如立体五角星.球体,背景花纹等.而且每一部分都有非常详细的文字说明,非常适合新手学习. 最终效果 1.新建一个大小1920*1200像素的文档,RGB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg3AEM.html" rel="bookmark" class="title">解决ajax回调函数返回的字符串乱码问题</a>
					<div>
						  ajax回调函数,返回的字符串乱码问题很是让人痛恨,下面有个不错的解决方法,大家可以参考下 ServletActionContext.getResponse().setContentType(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1mRdM.html" rel="bookmark" class="title">塞班网张威：玩手机玩出个人网站</a>
					<div>
						张威,网名化羽飞,塞班网站长. 当初为什么创立这个网站? 张威:兴趣,2005年时候买了个智能手机,比较喜欢这个,就建立了自己的网站.我觉得这不是创业,只是凭兴趣做,后来慢慢做大了.家里人比较支持我, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrvddp.html" rel="bookmark" class="title">c&sol;c&plus;&plus;数组排序、计算平均值、最大、小值</a>
					<div>
						最近在帮助其它人的学习中发现了许多问题就数组和局部变量和全居变量的两道例题进行刨析和思考! 排序操作 #include void sort(array,n) int array[]; int n; { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKyv3M.html" rel="bookmark" class="title">Java Web Start入门教程</a>
					<div>
						版权所有:(xiaodaoxiaodao)蓝小刀 xiaodaoxiaodao@gmail.com http://www.blogjava.net/xiaodaoxiaodao/articles/10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balKBJz.html" rel="bookmark" class="title">如何使用堆栈在树上执行广度优先搜索（逐级搜索）</a>
					<div>
						简介 本文介绍了如何使用堆栈在树上执行广度优先搜索(逐级搜索),可以使用过程分配的堆栈或者使用一个独立的堆栈数据结构.BFS 是一种优先考虑广度的树扫描方式.打印的第一个节点是根节点,随后是它的直系子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEln36z.html" rel="bookmark" class="title">批处理文件国际化支持解决方案</a>
					<div>
						随着软件应用的迅速推广与发展,应用软件无一例外的面临着支持多国家多语种的国际化问题,基于 Windows 的批处理文件应用广泛,然而作为一种通用脚本语言,批处理脚本没有提供一种体系化的多语言国际化支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKk5xp.html" rel="bookmark" class="title">如何用Photoshop打造属于自己的个性中文字体？</a>
					<div>
						  时间过得好快啊,转眼间离校已两年有余,总是在不知不觉当中成长.成长之路,我一直在路上,你呢?工作久了请一定要沉下心,切勿傲娇! 你也就比别人多一点工作经验而已, 论创息,你是无法与一个新手相比的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaWnxM.html" rel="bookmark" class="title">photoshop动作使用方法实例讲解</a>
					<div>
						  方法/步骤 首先,我们可以上网搜索PS动作,&quot;动作&quot;怎么理解?动作有各种效果,它就相当于别人录制的对图片处理的操作,我们只需对照片运行动作,就可以达到想要的效果. 打开phot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBXxqz.html" rel="bookmark" class="title">win7加入局域网连接的方法</a>
					<div>
						  在办公的场景中,想要实现信息的共享,局域网是个好东西,不仅可以互传文件,就连办公设备都可以共享,尤其是打印机,如果所有的电脑加入了局域网中,连上一台打印机之后,所有的电脑就可以打印东西了,不仅节约 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWnW6p.html" rel="bookmark" class="title">如何修改win7电脑下方任务栏窗口的颜色？</a>
					<div>
						  大家知道,在咱们的win7 64位旗舰版中,默认的下方任务栏颜色是蓝色的,可能对于有的用户来说,这个颜色已经使用了十多年的时间了,早就已经习惯了,但是对于有的用户来说,却觉得这个颜色自己已经看厌倦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8aelp.html" rel="bookmark" class="title">人人桌面是什么如何多人聊天</a>
					<div>
						  什么是人人桌面? 人人桌面(原校内通)是一款面对人人网用户的官方增强软件,可使用人人网帐号直接登录.软件具备新鲜事提醒.快速回复留言.即时聊天.快速登录应用.定时启动游戏等诸多功能,方便用户更好的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oXanb.html" rel="bookmark" class="title">平安盈值不值得买？</a>
					<div>
						  南方现金增利基金及平安大华日增利货币基金以往的经营业绩不代表基金的未来业绩,投资者购买货币市场基金不等于资金作为存款放在银行或存款类金融机构,不保证一定盈利,也不保证最低收益.投资者谨慎操作,风险 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywD5Pz.html" rel="bookmark" class="title">NTFS加密文件夹导致文件打不开</a>
					<div>
						  Q:计算机采用Windows XP系统,分区格式为NTFS.前几天对&quot;我的文档&quot;使用了属性里的&quot;加密&quot;功能,后又对上一级文件夹(C:Documents an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oJNDb.html" rel="bookmark" class="title">ava实现打印树的路径-Java实现打印一颗非二叉树所有路径</a>
					<div>
						问题描述 Java实现打印一颗非二叉树所有路径 用Java实现打印一颗非二叉树的所有路径的方法,求赐教. 解决方案 http://wellonhome.blog.sohu.com/37681578.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW1Jvp.html" rel="bookmark" class="title">动态修改php的配置项</a>
					<div>
						我们一般修改php的配置项都是在php.ini中修改.在php,ini中的修改会影响到所有使用php的程序.假如我想让修改只在某个域名下生效,该如何做呢? 使用ini_set() 首先想到的可能是使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Pdg3p.html" rel="bookmark" class="title">阿里的攻城狮和程序媛用算法给骗子&OpenCurlyDoubleQuote;画个像&rdquo;</a>
					<div>
						开学季,也是电信网络诈骗的高发季.去年,山东徐玉玉案令人扼腕,尽管不久前,犯罪分子得到了应有的惩罚,但这种悲剧始终是不应该发生.因此,去年10月24日,国务院联席办和阿里巴巴联合推出了&quot;钱盾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2LJ7b.html" rel="bookmark" class="title">前进中的曲折，联想的Superfish事件</a>
					<div>
						春节期间,中国人都在享受愉快的假期,本来不应该有什么大新闻.但是中国IT的巨头级企业联想却遇到了麻烦.媒体称联想的消费级笔记本电脑中预装了一款&quot;Superfish&quot;的广告软件,存在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyddkEb.html" rel="bookmark" class="title">中情局黑客工具曝光，专家支招：摄像头上蒙胶带</a>
					<div>
						近日,&quot;维基揭秘&quot;披露美国中央情报局(CIA)实施大规模网络攻击和间谍活动一事持续发酵,引起各国政府及国内外媒体普遍关注. 据&lt;华尔街日报&gt;9日报道,&quot;维基揭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0GGlM.html" rel="bookmark" class="title">What&amp;&num;039&semi;s New in JDK 8 java8新特性汇总</a>
					<div>
						    Oracle甲骨文公司终于在2014年3月发布了Java 8正式版,它是java的一个里程牌版本,带来了诸多新特性.      针对这些新特性汇总如下: 一.针对java编程语言(Java P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRrORp.html" rel="bookmark" class="title">vs2010 配置管理器-VS2010中菜单生成中没有配置管理器是什么原因？</a>
					<div>
						问题描述 VS2010中菜单生成中没有配置管理器是什么原因? VS连接数据库时遇到&lt;未在本地计算机上注册&quot;Microsoft.Jet.OLEDB.4.0&quot;提供程序&gt;问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBJRZb.html" rel="bookmark" class="title">教辅书如何&OpenCurlyDoubleQuote;玩转&rdquo;大数据</a>
					<div>
						近日,一套名为&quot;学霸必刷题&quot;的教辅书在学生中间引起热烈反响,不少读者反映这套书特别适合备战中考和高考的学生使用.据悉,该丛书由华东师范大学出版社和学霸君APP联合推出,是国内首本将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBOQkz.html" rel="bookmark" class="title">&amp;amp&semi;amp&semi;lt&semi;求教&amp;amp&semi;amp&semi;gt&semi;PropertyGrid加载属性</a>
					<div>
						问题描述 要求的功能是:访问INI文件后得到某对象的各对象属性,如涡轮有转速.转动惯量了什么的.然后转速有最大值.最小值等属性,我现在要把转速.转动惯量的各属性放在PROPERTYGRID里边.我写了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy9N1z.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;金金&rdquo;组合携手打造舌尖上的中国</a>
					<div>
						本文讲的是&quot;金金&quot;组合携手打造舌尖上的中国,如果问中式传统美食与美式快餐企业哪个更容易管控,答案一定是美式快餐企业.文化的不同带来对吃的理解不同,东方美食&quot;吃&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWE7Ez.html" rel="bookmark" class="title">js 实现 input type&equals;&amp;amp&semi;quot&semi;file&amp;amp&semi;quot&semi; 文件上传示例代码&lowbar;javascript技巧</a>
					<div>
						在开发中,文件上传必不可少,&lt;input type=&quot;file&quot; /&gt; 是常用的上传标签,但是它长得又丑.浏览的字样不能换,我们一般会用让,&lt;input type ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLGXgM.html" rel="bookmark" class="title">nginx重复发送请求到服务器</a>
					<div>
						问题描述 nginx重复发送请求到服务器 在测试环境进行nginx配置时,为防止超时,全部把超时参数配置为10分钟.但是在拉取数据时还是到60S后就报错,提示&quot;数据正在下载中,请稍后再试&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr9jkp.html" rel="bookmark" class="title">sql修改语句问题</a>
					<div>
						问题描述 问题是这样的:修改一条数据,如果满足条件则提示修改成功,否则提示条件不符合,这代码怎么写呀?各位大侠请指点一下. 解决方案 解决方案二:///&lt;summary&gt;///使用SQL操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKr6kz.html" rel="bookmark" class="title">草根们应积极配合  我们迟早会清白的</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网络扫黄本来是一件大快人心的好事, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgqdGz.html" rel="bookmark" class="title">无忧之道：Docker中容器的备份、恢复和迁移</a>
					<div>
						今天,我们将学习如何快速地对docker容器进行快捷备份.恢复和迁移.Docker是一个开源平台,用于自动化部署应用,以通过快捷的途径在称之为容器的轻量级软件层下打包.发布和运行这些应用.它使得应用平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWjA3z.html" rel="bookmark" class="title">星巴克烘焙道德采购</a>
					<div>
						&quot;百分百坚持以道德的方式交易咖啡:百分百使用可重复利用或回收的杯子--&quot; 星巴克选择把公益贯穿到企业运营的每个环节中. 采访·撰文/张沙莎 &quot;星巴克不是一个完美的公司,我 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
